Bug 820228 - Adding some packages in SE templates could upgrade the kernel at ec2 and fails to boot
Adding some packages in SE templates could upgrade the kernel at ec2 and fail...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: beta6
: ---
Assigned To: Dan Macpherson
ecs-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 08:36 EDT by Kedar Bidarkar
Modified: 2012-12-10 16:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 16:53:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2012-05-09 08:36:53 EDT
Description of problem:

I added rhev-agent package in SE template and the kernel on ec2 instance failed to boot.

Agreed the rhev-agent package is required only if working with RHEV provider,

Adding rhev-agent, kernel changed to : 2.6.18-308
Actual kernel required : 2.6.18-307.el5xen

May be this can go in as a documentation or Technical Notes entry.

Version-Release number of selected component (if applicable):

Build : rc1 

How reproducible:
Occurred when adding the rhev-agent package to the SE-template for RHEL5 OS.

There could also be other packages which could upgrade the kernel and render the image useless.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

root (hd0)

 Filesystem type is ext2fs, using whole disk

kernel /boot/vmlinuz-2.6.18-308.4.1.el5 ro root=LABEL=/ 

initrd /boot/initrd-2.6.18-308.4.1.el5.img



ERROR Invalid kernel: xc_dom_probe_bzimage_kernel: boot protocol too old (0204)

xc_dom_bzimageloader.c:351: panic: xc_dom_probe_bzimage_kernel: boot protocol too old (0204)
ERROR Invalid kernel: xc_dom_parse_elf_kernel: ELF image has no shstrtab

xc_dom_elfloader.c:246: panic: xc_dom_parse_elf_kernel: ELF image has no shstrtab
xc_dom_parse_image returned -1

Error 9: Unknown boot failure






Expected results:



Additional info:
Comment 1 wes hayutin 2012-05-09 09:49:43 EDT
upgrading the kernel of ec2 instances outside of RHUI is not supported..  A tech note would be a good idea, more doc is better than less.
Comment 5 Dan Macpherson 2012-06-18 01:16:01 EDT
Apart from the release note in comment #2, is there any other documentation needed for this particular bug?
Comment 8 Dan Macpherson 2012-09-12 13:48:05 EDT
Added the following admonition to exporting system templates from System Engine:

**WARNING**
Adding certain packages in CloudForms System Engine templates can upgrade the kernel on EC2 images, which can cause boot failure and render the image useless. Red Hat does not support upgrading the kernel of EC2 instances outside of <application>Red Hat Update Infrastructure</application>.
Comment 15 Lana Brindley 2012-11-18 21:45:33 EST
This documentation has now been dropped to translation ahead of publication. For any further issues, please open a new a bug.

LKB
Comment 16 Lana Brindley 2012-12-10 16:53:50 EST
This document is now publicly available on access.redhat.com. For any further issues, please raise a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.